html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}


/* <!-- GallerySection --> */
#GallerySection {
  padding: 5rem;
}

.gallerySectionContainer {
  background: #f9f3ea;
}

.gallerySection-left img {
  width: 100%; 
  max-width: 100rem; 
  object-fit: cover; 
  transition: transform 0.8s ease; 
}

.gallerySection-left img:hover {
  transform: scale(1.05); 
}

.gallerySection-title-img {
  width: 100%; 
  max-width: 50rem; 
  height: auto; 
}

.gallerySection-text {
  letter-spacing: 1px;
  line-height: 1.5;
} 

@media (min-width: 500px) and (max-width: 1199px) {
  .gallerySection-right, 
  .gallerySection-left {
    width: 100%; 
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .gallerySection-left img {
    margin-bottom: 0 !important; 
    padding-bottom: 0 !important;
  }

  .gallerySection-title-img {
    padding-top: 0 !important;
    margin-top: -10px !important; 
  }
}

@media (min-width: 1400px) {
    #GallerySection {
   padding-top: 15rem !important; 
    }
}

/* <!-- GalleryLightbox --> */
#GalleryLightbox {
  padding: 1rem;
  padding-bottom: 5rem;
}

.containerLightbox {
  margin: auto; 
  text-align: center; 
}

.columnLightbox {
  display: flex;
  max-width: 1224px;
  gap: 15px;
  justify-content: center;
  margin: auto;
}

.column {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
}

.column img {
  width: 100%; 
  height: auto; 
  object-fit: cover;
  transition: transform 0.3s ease-in-out; 
}

.column img:hover {
  transform: scale(1.05); 
}

#lightboxCarousel .carousel-item {
  transition: none !important; 
}

.carousel-control-prev, 
.carousel-control-next {
  width: auto;
  top: 50%;
  transform: translateY(-50%);
  padding: 20px;
}

.carousel-control-prev {
  left: -100px; 
}

.carousel-control-next {
  right: -100px; 
}

.btn-close {
  position: absolute;
  top: 10px;
  right: -80px; 
  background: none;
  cursor: pointer; 
  transform: translateY(-50%);
  width: auto;
}

.btn-close::before {
  content: '×'; 
  font-size: 5rem;
  color: #fff;
}

@media (max-width: 650px) {
  .carousel-control-prev-icon,
  .carousel-control-next-icon,
  .btn-close {
    width: 40px;
    height: 40px;
    filter: brightness(2);
  }

  .column img {
    max-width: 20%; 
  }

  .carousel-control-prev {
    left: -60px; 
  }

  .carousel-control-next {
    right: -60px; 
  }

  .btn-close {
    right: -60px; 
  }
}

.carousel-control-prev-icon,
.carousel-control-next-icon,
.btn-close {
  width: 50px;
  height: 50px;
  filter: brightness(2); 
}

@media (max-width: 768px) {
  .columnLightbox {
    flex-direction: column;
    align-items: center;
  }

  .column {
    width: 100%; 
  }

  .column img {
    max-width: 100%; 
  }
}

/* <!-- Slide --> */
@keyframes slideInFromLeft {
  from {
      opacity: 0;
      transform: translateX(-100%);
  }
  to {
      opacity: 1;
      transform: translateX(0);
  }
}

@keyframes slideInFromRight {
  from {
      opacity: 0;
      transform: translateX(100%);
  }
  to {
      opacity: 1;
      transform: translateX(0);
  }
}

.animate-left, .animate-right {
  opacity: 0;
  transition: opacity 1s ease-out, transform 1s ease-out;
}

.animate-left.active {
  animation: slideInFromLeft 1s ease-out forwards;
}

.animate-right.active {
  animation: slideInFromRight 1s ease-out forwards;
}


/* <!-- Fade --> */
.animate-fade {
  opacity: 0;
  transform: translateY(20px); 
  transition: opacity 3s ease-out, transform 3s ease-out;
}

.animate-fade.active {
  opacity: 1;
  transform: translateY(0);
}